# Source code for azure.mgmt.logic.models.x12_message_identifier

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class X12MessageIdentifier(Model):
        """X12MessageIdentifier.

        :param message_id: The message id.
        :type message_id: str
        """

        _attribute_map = {
            'message_id': {'key': 'messageId', 'type': 'str'},
        }

        def __init__(self, message_id=None):
            self.message_id = message_id